Skip to main content
POST
/
v2
/
reports
/
{type}
Generate a report
curl --request POST \
  --url https://api-sandbox.argyle.com/v2/reports/{type} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69"
}
'
{
  "id": "43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b",
  "user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
  "reference_id": "43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b",
  "generated_at": "2023-03-09T16:22:06.081Z",
  "created_at": "2023-03-09T16:22:06.081Z",
  "type": "voie",
  "status": "generating",
  "file_url": "www.argyle.com/storagename/pdf",
  "json_url": "www.argyle.com/storagename/json",
  "accounts": [
    {
      "id": "0187c66e-e7e5-811c-b006-2232f00f426a",
      "item": "item_123456789",
      "last_synced_at": "2023-03-09T14:08:25.069Z"
    },
    {
      "id": "0185a8b8-60eb-80ca-7482-5f24504573f7",
      "item": "item_000000001",
      "last_synced_at": "2023-03-01T05:10:59.558Z"
    }
  ],
  "metadata": {},
  "last_synced_at": "2023-03-09T14:08:25.069Z",
  "external_id": "July_Connection"
}

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Path Parameters

type
enum<string>
required

The type of report to generate.

  • voie - Verification of Income and Employment
  • voe - Verification of Employment
  • voie-mortgage - Verification of Income and Employment, integrated with Fannie Mae's Desktop Underwriter (DU) validation service and Freddie Mac's asset and income modeler (AIM)
  • voe-mortgage - Verification of Employment, integrated with Fannie Mae's Desktop Underwriter (DU) validation service and Freddie Mac's asset and income modeler (AIM)

Visit our Day 1 Certainty and AIM guide for more information on mortgage reports.

Available options:
voe,
voie,
voe-mortgage,
voie-mortgage

Body

application/json
user
string<uuid>
required

ID of the user.

metadata
object

Information for internal use, structured as a JSON object.

Response

200 - application/json
id
string<uuid>

Unique ID of the report object.

Also the "Reference #" on the report PDF.

user
string<uuid>

ID of the user associated with the report.

reference_id
string<uuid>
deprecated

Report PDF identifier.

generated_at
string<date-time>
deprecated

Timestamp (ISO 8601) when the report was requested.

created_at
string<date-time>

Timestamp (ISO 8601) when the report was requested.

type
enum<string>

The type of report.

  • voie - Verification of Income and Employment
  • voe - Verification of Employment
  • voie-mortgage - Verification of Income and Employment, integrated with Fannie Mae's Desktop Underwriter (DU) validation service and Freddie Mac's asset and income modeler (AIM)
  • voe-mortgage - Verification of Employment, integrated with Fannie Mae's Desktop Underwriter (DU) validation service and Freddie Mac's asset and income modeler (AIM)
Available options:
voe,
voie,
voe-mortgage,
voie-mortgage
status
enum<string>

Progress of report generation.

  • waiting_for_sync: Data from the connected payroll account is still being retrieved.
  • generating: The report is being generated.
  • generated: The report is ready to download.
  • failed: A system error occurred, preventing report generation.
Available options:
waiting_for_sync,
generating,
generated,
failed
file_url
string

Download link to the report PDF.

This static URL redirects to a download page that requires Argyle authentication headers. See the dropdown below for more information.

Implementation requirements for client-side applications:

json_url
string

Download link to the report in JSON.

This static URL redirects to a download page that requires Argyle authentication headers. See the dropdown below for more information.

last_synced_at
string<date-time>

Timestamp (ISO 8601) when the account used to generate the report was last scanned for new data before the report was generated. If multiple accounts were used, the more recent timestamp.

Used to populate the "Data as of" date on the report PDF.

accounts
object[]

The accounts used to generate the report.

metadata
object

Any metadata for internal use added when generating the report.

external_id
string

The external_id of the user, otherwise null.